> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert Currency

> Convert between currencies.



## OpenAPI

````yaml post /convert
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /convert:
    post:
      tags:
        - Transfer
      summary: Convert Currency
      description: Convert between currencies.
      operationId: post-convert
      requestBody:
        content:
          application/json:
            schema:
              example:
                accountName: ''
                fromAmount: 0
                fromCurrency: ''
                rateKey: ''
                toAmount: 0
                toCurrency: ''
                transactionReference: ''
              properties:
                accountName:
                  type: string
                fromAmount:
                  type: number
                fromCurrency:
                  enum:
                    - BTC
                    - ETH
                    - USD
                    - BNB
                    - NGN
                    - KES
                  type: string
                rateKey:
                  type: string
                toAmount:
                  type: number
                toCurrency:
                  enum:
                    - BTC
                    - ETH
                    - USD
                    - BNB
                    - NGN
                    - KES
                  type: string
                transactionReference:
                  type: string
              required:
                - rateKey
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    accountName: convertcurrencyuser
                    fromAmount: 2
                    fromCurrency: ETH
                    rate: 2640
                    toAmount: 5280
                    toCurrency: USD
                    transactionReference: bbcdef2234567890abcdef1234568880
                  message: success
                properties:
                  data:
                    properties:
                      accountName:
                        type: string
                      fromAmount:
                        type: number
                      fromCurrency:
                        type: string
                      rate:
                        type: number
                      toAmount:
                        type: number
                      toCurrency:
                        type: string
                      transactionReference:
                        type: string
                    type: object
                  message:
                    type: string
                type: object
          description: post convert ok
        '400':
          content:
            application/json:
              schema:
                example:
                  message: insufficient funds
                properties:
                  message:
                    type: string
                type: object
          description: post convert bad request
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````